# Uses of Class
org.springframework.context.annotation.ClassPathBeanDefinitionScanner

Packages that use ClassPathBeanDefinitionScanner
Package
Description
org.springframework.context.annotation
Annotation support for the Application Context, including JSR-250 "common" annotations, component-scanning, and Java-based metadata for creating Spring-managed objects.

## Uses of ClassPathBeanDefinitionScanner in org.springframework.context.annotation

Methods in org.springframework.context.annotation that return ClassPathBeanDefinitionScanner
Modifier and Type
Method
Description
`protected ClassPathBeanDefinitionScanner`
ComponentScanBeanDefinitionParser.`configureScanner(org.springframework.beans.factory.xml.ParserContext parserContext, Element element)`
`protected ClassPathBeanDefinitionScanner`
ComponentScanBeanDefinitionParser.`createScanner(org.springframework.beans.factory.xml.XmlReaderContext readerContext, boolean useDefaultFilters)`
Methods in org.springframework.context.annotation with parameters of type ClassPathBeanDefinitionScanner
Modifier and Type
Method
Description
`protected void`
ComponentScanBeanDefinitionParser.`parseBeanNameGenerator(Element element, ClassPathBeanDefinitionScanner scanner)`
`protected void`
ComponentScanBeanDefinitionParser.`parseScope(Element element, ClassPathBeanDefinitionScanner scanner)`
`protected void`
ComponentScanBeanDefinitionParser.`parseTypeFilters(Element element, ClassPathBeanDefinitionScanner scanner, org.springframework.beans.factory.xml.ParserContext parserContext)`